<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CardList',
  props: {
    list: {
      type: Array,
      required: true,
    },
  },
});
</script>

<template>
  <div class="card-list">
    <SlpTypography class="slp-pb-16" variant="all-caps" tag="h5">{{
      $t('articles.keyTakeaways')
    }}</SlpTypography>
    <ul>
      <li v-for="(item, index) in list" :key="`${item}-${index}`">
        <SlpTypography variant="body3" tag="span">{{ item }}</SlpTypography>
      </li>
    </ul>
  </div>
</template>

<style scoped lang="scss">
.card-list {
  padding: $spacing-24;
  background-color: $color-surface-100;
  border-radius: 8px;
  margin: $spacing-16 0;

  ul {
    border-top: 1px solid $color-surface-300;
  }

  li {
    position: relative;
    padding-bottom: $spacing-8;
    margin-left: $spacing-16;
    list-style: disc;

    &:first-child {
      margin-top: $spacing-16;
    }

    &:last-child {
      padding-bottom: 0;
    }
  }
}
</style>
